import java.util.ArrayList;
import java.util.Arrays;
/**
 * Die Klasse Texttrennung zeigt, wie man mit Bibliotheksfunktionen einen Text in
 * Wörter aufteilen kann.
 * 
 * @author (Peter Brichzin) 
 * @version (Version)
 */
public class Texttrennung
{
    // Instanzvariablen - ersetzen Sie das folgende Beispiel mit Ihren Variablen
    private String text;
    private ArrayList<String> wörter;

    /**
     * Konstruktor für Objekte der Klasse Texttrennung
     */
    public Texttrennung()
    {
        // Initialisierung unten, da ein spezieller Konstruktor für die ArrayList verwendet wird
    }

    public void demonstriereTextzerlegungen()
    {
        System.out.println("Beispiel 1");
        text = "Wenn Fliegen hinter Fliegen fliegen, fliegen Fliegen Fliegen nach.";
        System.out.println("Text: "+ text);

        //Trennung bei jedem Zeichen, das kein Buchstabe [a-z] bzw. keine Ziffer ist
        // Das Ergebnis wird in einem Array gespeichert
        String[] words = text.split("\\W+");  
        // Umwandlung des Arrays in eine ArrayList
        wörter = new ArrayList<String>(Arrays.asList(words));

        System.out.println("Zerlegung");
        System.out.println(wörter);

        System.out.println("----------------------");
        System.out.println("Beispiel 2 - zeigt die Grenzen bei Umlauten");

        //Trennung bei jedem Zeichen, das kein Buchstabe [a-z] bzw. keine Ziffer ist
        // Das Ergebnis wird in einem Array gespeichert
        text = "Möge die Macht mit dir sein";
        // Umwandlung des Arrays in eine ArrayList
        System.out.println("Text: "+ text);

        words = text.split("\\W+");  
        wörter = new ArrayList<String>(Arrays.asList(words));

        System.out.println("Zerlegung");
        System.out.println(wörter);

        System.out.println("----------------------");
        System.out.println("Beispiel 3 - zeigt, dass nicht nur das Leerzeichen ein Trennzeichen ist.");

        text = "Hallo,ist+das nicht toll?";
        System.out.println("Text: "+ text);

        words = text.split("\\W+");  
        wörter = new ArrayList<String>(Arrays.asList(words));

        System.out.println("Zerlegung");
        System.out.println(wörter);
    }
}
